> ## Documentation Index
> Fetch the complete documentation index at: https://docs.cj.agc-vie.fnstack.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# Post v1policy holders

> Create a policy holder



## OpenAPI

````yaml post /v1/policy-holders
openapi: 3.0.1
info:
  version: 1.0.0
  title: AGC-VIE - Customer Journeys API
  description: This API can be use for Customer journeys integrations with 3PPs
servers:
  - url: https://dev-api-cj-agc-vie.fnstack.dev
security:
  - API Key: []
paths:
  /v1/policy-holders:
    post:
      tags:
        - Policy Holders
      description: Create a policy holder
      parameters:
        - schema:
            type: string
            minLength: 1
          required: true
          name: x-api-key
          in: header
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                gender:
                  type: string
                  enum:
                    - FEMALE
                    - MALE
                  default: MALE
                  example: MALE
                last_name:
                  type: string
                  minLength: 1
                  maxLength: 250
                  example: MALONGA
                first_name:
                  type: string
                  maxLength: 250
                  example: Jules
                phone_number:
                  type: string
                  minLength: 1
                  example: '242059758563'
                date_of_birth:
                  type: string
                  minLength: 1
                  example: '1974-12-02'
              required:
                - last_name
                - phone_number
                - date_of_birth
      responses:
        '202':
          description: '''Create a policy holder'' command accepted and ongoing'
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CreatePolicyHolderOutput'
        '401':
          description: Authentication invalid
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                required:
                  - error
        '403':
          description: Forbidden
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                required:
                  - error
        '422':
          description: Invalid request parameters
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                required:
                  - error
components:
  schemas:
    CreatePolicyHolderOutput:
      type: object
      properties:
        policy_holder_id:
          type: string
          minLength: 1
          example: phol_2c1x7V4r47ynM4RABVm1Co0UKkG
      required:
        - policy_holder_id
  securitySchemes:
    API Key:
      type: apiKey
      in: header
      name: x-api-key

````